For the complete documentation index, see llms.txt. This page is also available as Markdown.

Simulate (Sandbox)

Simulate Onramp Transfer Actions

post
/v0/customers/{customer_id}/onramp-transfer/simulate
Authorizations
Api-KeystringRequired
Path parameters
customer_idstring · uuidRequired

The unique identifier of the customer

Body
actionstring · enumRequired

The action to simulate

Possible values:
transfer_idstring · uuidRequired

The ID of the transfer to simulate action on

Responses
200

Successful simulation response

application/json
messagestringRequired

A message describing the result of the simulation

post/v0/customers/{customer_id}/onramp-transfer/simulate
POST /v0/customers/{customer_id}/onramp-transfer/simulate HTTP/1.1
Host: api.alignlabs.dev
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 187

{
  "action": "complete_transfer",
  "transfer_id": "123e4567-e89b-12d3-a456-426614174000",
  "simulation_overrides": {
    "deposit_source": {
      "virtual_account_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  }
}
200

Successful simulation response

{
  "message": "text"
}

Last updated